<div class="warehouse-message">
  <?
    // jeżeli produkt nie jest kombinacją
    if ( !$this -> product['product_combinations'] )
    {
      if ( $this -> product['quantity'] > 0 or $this -> product['quantity'] == 0 and $this -> product['stock_0_buy'] )
      {
        if ( $this -> product -> language['warehouse_message_nonzero'] )
          echo $this -> product -> language['warehouse_message_nonzero'];
        else if ( $this -> settings['warehouse_message_nonzero_' . $this -> lang_id] )
          echo $this -> settings['warehouse_message_nonzero_' . $this -> lang_id];
      }
      else
      {
        if ( $this -> product -> language['warehouse_message_zero'] )
          echo $this -> product -> language['warehouse_message_zero'];
        else if ( $this -> settings['warehouse_message_zero_' . $this -> lang_id] )
          echo $this -> settings['warehouse_message_zero_' . $this -> lang_id];
      }
    }
  ?>
</div>